{
  "name": "@gitzone/tstest",
  "version": "1.0.77",
  "private": false,
  "description": "a test utility to run tests that match test/**/*.ts",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "author": "Lossless GmbH",
  "license": "MIT",
  "bin": {
    "tstest": "./cli.js"
  },
  "scripts": {
    "test": "(npm run cleanUp && npm run prepareTest && npm run tstest)",
    "prepareTest": "git clone https://gitlab.com/sandboxzone/sandbox-npmts.git .nogit/sandbox-npmts && cd .nogit/sandbox-npmts && npm install",
    "tstest": "cd .nogit/sandbox-npmts && node ../../cli.ts.js test/ --web",
    "cleanUp": "rm -rf .nogit/sandbox-npmts",
    "build": "(tsbuild --web --allowimplicitany  --skiplibcheck)",
    "buildDocs": "tsdoc"
  },
  "devDependencies": {
    "@gitzone/tsbuild": "^2.1.66",
    "@types/node": "^20.4.2"
  },
  "dependencies": {
    "@apiglobal/typedserver": "^2.0.65",
    "@gitzone/tsbundle": "^2.0.8",
    "@gitzone/tsrun": "^1.2.43",
    "@push.rocks/consolecolor": "^2.0.1",
    "@push.rocks/smartbrowser": "^2.0.5",
    "@push.rocks/smartdelay": "^3.0.2",
    "@push.rocks/smartfile": "^10.0.28",
    "@push.rocks/smartlog": "^3.0.3",
    "@push.rocks/smartpromise": "^4.0.3",
    "@push.rocks/smartshell": "^3.0.3",
    "@push.rocks/tapbundle": "^5.0.12",
    "figures": "^5.0.0"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ]
}
